Permalink
Browse files

Setup Jekyll on Heroku

  • Loading branch information...
1 parent 864670e commit d94f4ac5f8696be537a19a0afa71f76493ae3fda @doomspork committed Nov 26, 2015
View
@@ -1,4 +1,87 @@
-/_build
-/deps
-erl_crash.dump
-*.ez
+# Created by https://www.gitignore.io/api/ruby,jekyll,sass,vim,osx
+
+### Ruby ###
+*.gem
+*.rbc
+/.config
+/coverage/
+/InstalledFiles
+/pkg/
+/spec/reports/
+/spec/examples.txt
+/test/tmp/
+/test/version_tmp/
+/tmp/
+
+## Specific to RubyMotion:
+.dat*
+.repl_history
+build/
+
+## Documentation cache and generated files:
+/.yardoc/
+/_yardoc/
+/doc/
+/rdoc/
+
+## Environment normalisation:
+/.bundle/
+/vendor/bundle
+/lib/bundler/man/
+
+# for a library or gem, you might want to ignore these files since the code is
+# intended to run in multiple environments; otherwise, check them in:
+# Gemfile.lock
+# .ruby-version
+# .ruby-gemset
+
+# unless supporting rvm < 1.11.0 or doing something fancy, ignore this:
+.rvmrc
+
+
+### Jekyll ###
+_site/
+.sass-cache/
+.jekyll-metadata
+
+
+### Sass ###
+.sass-cache/
+*.css.map
+.asset-cache/
+
+### Vim ###
+[._]*.s[a-w][a-z]
+[._]s[a-w][a-z]
+*.un~
+Session.vim
+.netrwhist
+*~
+
+
+### OSX ###
+.DS_Store
+.AppleDouble
+.LSOverride
+
+# Icon must end with two \r
+Icon
+
+
+# Thumbnails
+._*
+
+# Files that might appear in the root of a volume
+.DocumentRevisions-V100
+.fseventsd
+.Spotlight-V100
+.TemporaryItems
+.Trashes
+.VolumeIcon.icns
+
+# Directories potentially created on remote AFP share
+.AppleDB
+.AppleDesktop
+Network Trash Folder
+Temporary Items
+.apdisk
View
@@ -0,0 +1,12 @@
+source 'https://rubygems.org'
+ruby '2.2.3'
+
+gem 'jekyll'
+gem 'kramdown'
+gem 'rack-jekyll'
+gem 'rake'
+gem 'puma'
+gem 'autoprefixer-rails'
+gem 'sprockets-es6'
+gem 'jekyll-assets'
+gem 'font-awesome-sass'
View
@@ -0,0 +1,78 @@
+GEM
+ remote: https://rubygems.org/
+ specs:
+ addressable (2.3.8)
+ autoprefixer-rails (6.1.1)
+ execjs
+ json
+ babel-source (5.8.34)
+ babel-transpiler (0.7.0)
+ babel-source (>= 4.0, < 6)
+ execjs (~> 2.0)
+ colorator (0.1)
+ execjs (2.6.0)
+ fastimage (1.8.0)
+ addressable (~> 2.3, >= 2.3.5)
+ ffi (1.9.10)
+ font-awesome-sass (4.4.0)
+ sass (>= 3.2)
+ jekyll (3.0.1)
+ colorator (~> 0.1)
+ jekyll-sass-converter (~> 1.0)
+ jekyll-watch (~> 1.1)
+ kramdown (~> 1.3)
+ liquid (~> 3.0)
+ mercenary (~> 0.3.3)
+ rouge (~> 1.7)
+ safe_yaml (~> 1.0)
+ jekyll-assets (2.0.3)
+ fastimage (~> 1.8)
+ jekyll (~> 3.0)
+ sprockets (~> 3.3)
+ sprockets-helpers (~> 1.2)
+ jekyll-sass-converter (1.3.0)
+ sass (~> 3.2)
+ jekyll-watch (1.3.0)
+ listen (~> 3.0)
+ json (1.8.3)
+ kramdown (1.9.0)
+ liquid (3.0.6)
+ listen (3.0.5)
+ rb-fsevent (>= 0.9.3)
+ rb-inotify (>= 0.9)
+ mercenary (0.3.5)
+ puma (2.15.3)
+ rack (1.6.4)
+ rack-jekyll (0.4.5)
+ jekyll (>= 1.3)
+ listen (>= 1.3)
+ rack (~> 1.5)
+ rake (10.4.2)
+ rb-fsevent (0.9.6)
+ rb-inotify (0.9.5)
+ ffi (>= 0.5.0)
+ rouge (1.10.1)
+ safe_yaml (1.0.4)
+ sass (3.4.19)
+ sprockets (3.4.1)
+ rack (> 1, < 3)
+ sprockets-es6 (0.8.2)
+ babel-source (>= 5.8.11)
+ babel-transpiler
+ sprockets (>= 3.0.0)
+ sprockets-helpers (1.2.1)
+ sprockets (>= 2.2)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ autoprefixer-rails
+ font-awesome-sass
+ jekyll
+ jekyll-assets
+ kramdown
+ puma
+ rack-jekyll
+ rake
+ sprockets-es6
View
@@ -0,0 +1 @@
+web: bundle exec puma -t 8:32 -w 3 -p $PORT
View
@@ -0,0 +1,5 @@
+namespace :assets do
+ task :precompile do
+ puts `bundle exec jekyll build`
+ end
+end
@@ -0,0 +1,8 @@
+/*
+*= require poole
+*= require syntax
+*= require hyde
+*/
+
+@import "font-awesome-sprockets";
+@import "font-awesome";
Oops, something went wrong.

0 comments on commit d94f4ac

Please sign in to comment.